<?xml version="1.0" encoding="UTF-8"?>
<configuration>
  <system.webServer>
    <handlers>
      <!-- This handler is a reverse proxy that forwards all requests to the application process -->
      <add name="httpplatformhandler" path="*" verb="*" modules="httpPlatformHandler" resourceType="Unspecified" requireAccess="Script" />
    </handlers>
    <httpPlatform
      stdoutLogEnabled="true"
      stdoutLogFile=".\logs\stdout.log"
      startupTimeLimit="200"
      processPath="C:\Ruby32-x64\bin\ruby.exe"
      arguments="&quot;C:\Ruby34-x64\lib\ruby\gems\3.4.0\gems\puma-6.6.1&quot; -p 3002 -w 0"
    >
      <!-- Environment variable to ensure the application listens on the port provided by IIS -->
      <environmentVariables />
    </httpPlatform>
  </system.webServer>
</configuration>
